picard.fingerprint

## Class GenotypeReader.VariantIterator

- java.lang.Object
- - picard.fingerprint.GenotypeReader.VariantIterator

- All Implemented Interfaces:
    htsjdk.samtools.util.CloseableIterator<htsjdk.variant.variantcontext.VariantContext>, Closeable, AutoCloseable, Iterator<htsjdk.variant.variantcontext.VariantContext>
  Enclosing class:
    GenotypeReader

      public abstract static class GenotypeReader.VariantIterator
      extends Object
      implements htsjdk.samtools.util.CloseableIterator<htsjdk.variant.variantcontext.VariantContext>

  Small class to encapsulate an iterator over variants, optionally with a sequence dictionary.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `VariantIterator(htsjdk.samtools.SAMSequenceDictionary dictionary, Object header)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getHeader()`
    `htsjdk.samtools.SAMSequenceDictionary` | `getSequenceDictionary()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface htsjdk.samtools.util.CloseableIterator

      `close, stream, toList`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, next, remove`

- - ### Constructor Detail

    - #### VariantIterator

          protected VariantIterator(htsjdk.samtools.SAMSequenceDictionary dictionary,
                                    Object header)

  - ### Method Detail

    - #### getSequenceDictionary

          public htsjdk.samtools.SAMSequenceDictionary getSequenceDictionary()

    - #### getHeader

          public Object getHeader()